{% load icon %}
<div class="modal-header">
    <h5 class="modal-title" id="ajoutElementModalLabel">Rajouter un élément</h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <form class="needs-validation" enctype="multipart/form-data" method="post" id="modifier-materiel-form"
          action="{% url 'modifier_materiel' %}">
        <!-- Nom -->
        <div class="form-group">
            {{ form.nom.label_tag }}
            {{ form.nom }}
            <div class="invalid-feedback">
                Vous devez spécifier un nom valide !
            </div>
        </div>

        <!-- Type -->
        <div class="form-group">
            {{ form.typeMateriel.label_tag }}
            <a data-toggle="modal" id="btn-ajoutType" data-target="#modal"><i class="fas fa-plus-circle"></i></a>
            {{ form.typeMateriel }}
            <div class="invalid-feedback">
                Vous devez spécifier un type de matériel !
            </div>
        </div>

        <!-- Propriétaire -->
        <div class="form-group">
            {{ form.proprietaireMatos.label_tag }}
            {{ form.proprietaireMatos }}
        </div>

        <!-- AnnéeAchat -->
        <div class="form-group">
            {{ form.anneeAchat.label_tag }}
            {{ form.anneeAchat }}
            <div class="invalid-feedback">
                Vous devez spécifier une date d'achat ! (ex: 26/12/2018)
            </div>
        </div>

        <!-- Caution -->
        <div class="form-group">
            {{ form.montantCaution.label_tag }}
            <div class="input-group">
                {{ form.montantCaution }}
                <div class="input-group-append">
                    <span class="input-group-text">€</span>
                </div>
            </div>
            <div class="invalid-feedback">
                Vous devez spécifier un montant de caution ! (ex: 300€)
            </div>
        </div>

        <div class="form-group">
            {{ form.prixLocation.label_tag }}
            <div class="input-group">
                {{ form.prixLocation }}
                <div class="input-group-append">
                    <span class="input-group-text">€</span>
                </div>
            </div>
        </div>

        <p>
            {{ form.photo.label_tag }}
            {{ form.photo }}
        </p>


        <!-- Quantité -->
        <div class="form-group">
            {{ form.quantite.label_tag }}
            {{ form.quantite }}
            <div class="invalid-feedback">
                Vous devez spécifier une quantité !
            </div>
        </div>

        <!-- Description -->
        <div class="form-group">
            {{ form.description.label_tag }}
            {{ form.description }}
            <div class="invalid-feedback">
                Vous devez ajouter une description !
            </div>
        </div>
    </form>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
    <button type="button" class="btn btn-primary" onclick="modifier()">Ajouter</button>
</div>

<script type="text/javascript">
    $('#modifier-materiel-form').ajaxForm({
        url: '{% url 'modifier_materiel' %}',
        data: {
            'csrfmiddlewaretoken': '{{ csrf_token }}'
        },
        type: 'post',
        dataType: 'json'
    });

    function modifier() {
        $('#modifier-materiel-form').ajaxSubmit({
            data: {'id': {{ id }}},
            success: function (data) {
                if (data['success']) {
                    $('.modal-body').html('<p>Modification de matériel réussie !</p>');
                    setTimeout(() => {
                        location.reload();
                    }, 500);
                } else {
                    alert("Erreur : Merci de recommencer la procédure !");
                    location.reload();
                }
            }
        });
    }
</script>